ROXTERM(1)

NAME
roxterm - terminal emulator

SYNOPSIS

roxterm [-? | --help] [--help-all] [--help-gtk] [-u | --usage] [--geometry=GEOM] [--appdir=DIR] [--profile=PROFILE | -p PROFILE] [--colour-scheme=SCHEME | --color-scheme=SCHEME | -c SCHEME] [--shortcut-scheme=SCHEME | -s SCHEME] [--separate] [--replace] [--fork] [--directory=DIR | -d DIR] [--show-menubar] [--hide-menubar] [--fullscreen-f] [--disable-sm] [--tab] [--zoom=ZOOM | -z ZOOM] [--title=TITLE | -T TITLE] [--tab-name=NAME | -n NAME] [--role=ROLE] [--execute COMMAND | -e COMMAND]

DESCRIPTION

This manual page documents briefly the roxterm command.

roxterm is a terminal emulator.

OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-? --help
    Show description of options.

--help-all
    Show all options.

--help-gtk
    Show all GTK+ options.

--usage
    Show summary of usage.

-d DIRECTORY --directory=DIRECTORY
    Run shell/command in DIRECTORY.

--geometry=GEOMETRY
    Set size and/or position of terminal according to X geometry specification.

--appdir=DIR
    Application directory when run as a ROX app.

--show-menubar --hide-menubar
    Whether to show or hide the menubar, overriding the profile. The default is to show it.

--fullscreen -f
    Make initial terminal window take up the whole screen with no window furniture.

--disable-sm
    Disable session management.

--tab
    If possible open the new terminal in an existing window rather than open a new window. If used in conjunction with -T/--title the tab will be placed in an existing window with the same title template if one exists. This option overrides --zoom and --fullscreen.

--zoom=ZOOM -z ZOOM
    Scale terminal's font by a factor of ZOOM (1.0 is normal size).

-p PROFILE --profile=PROFILE
    Use the named profile.

-c SCHEME --colour-scheme=SCHEME --color-scheme=SCHEME
    Use the named colour scheme.

-s SCHEME --shortcut-scheme=SCHEME
    Use the named keyboard shortcut scheme.

--title=TITLE -T TITLE
    Set window title template. May include "%s" which is substituted with the full contents of the tab's label.

--tab-name=NAME -n NAME
    Set tab name as displayed in its label. May include "%s" which is substituted with the window title string set by the terminal.

--separate
    Use a separate process for this terminal.

--fork
    Always fork into the background. Usually the first instance stays in the foreground and subsequent invocations return once they have asked the master instance to handle their command. This option causes the master instance to fork itself into the background; the foreground process returns once the master is ready to handle further commands.

--replace
    Replace any existing instance as ROXTerm D-BUS service provider.

--role=ROLE
    Sets the X window system "role" hint for the window being created.

-e --execute
    Execute remainder of the command line inside the terminal. Must be the final option. If there is only one following argument it is parsed in case it is a command with space-separated arguments that was passed to roxterm in quotes. If there is more than one argument they are treated as a command and arguments without parsing.

SEE ALSO

The program is documented fully by the HTML file file://${HTMLDIR}/en/index.html.

AUTHOR

This manual page was written by Tony Houghton <h@realh.co.uk>. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

AUTHOR

Tony Houghton
    Developer

COPYRIGHT
Copyright © 2005-2015 Tony Houghton